/* このファイルは編集用です。変更を適用させる時はMinify化して.min.jsへ適用させること */
/* https://www.toptal.com/developers/javascript-minifier */

jQuery(document).ready(function($) {
    $('.ha-password-form').on('submit', function(e) {
        e.preventDefault(); // デフォルトのフォーム送信をキャンセル
        var form = $(this);
        var formData = form.serialize(); // フォームデータをシリアライズ
        formData += '&action=password_protected_content&nonce=' + my_ajax_object.nonce; // nonceを追加

        $.ajax({
            type: 'POST',
            url: my_ajax_object.ajax_url, // WordPressのAjax URL
            data: formData,
            success: function(response) {
                // 成功した場合、コンテンツを表示
                if (response.success) {
                    form.closest('.ha-protected-box').html(response.data);
                } else {
                    // エラーメッセージを表示
                    form.closest('.ha-protected-box').find('.ha-pbox-error-message').remove();
                    form.before('<div class="ha-pbox-error-message" style="color: red;">' + response.data + '</div>');
                }
            }
        });
    });
});
